extends Control

# 入力可能な最大桁数
const MAX_DIGIT = 4	 # 最大4文字まで

# 入力した数値を表示するラベル
onready var label = $VBoxContainer/Label
# 正解判定結果テキスト
onready var label3 = $Label3

func _ready() -> void:
	for i in range(10):
		# 0〜9の数値ボタンのノードを取得する
		var name = "VBoxContainer/GridContainer/Button%d"%i
		var btn:Button = get_node(name)
		# シグナルを接続する
		# ・第1引数: シグナル名
		# ・第2引数: 接続する関数を持つインスタンス
		# ・第3引数: 接続する関数名
		# ・第4引数: 関数に渡すパラメータ
		btn.connect("pressed", self, "_on_NumberButton_pressed", [i])

func _on_NumberButton_pressed(num) -> void:
	# 数値ボタンの入力
	if label.text.length() < MAX_DIGIT:
		# 最大桁数より小されば文字を追加
		label.text += "%d"%num


func _on_ButtonClear_pressed() -> void:
	# 入力文字を消す
	label.text = ""
	# 正解判定の文字も消しておきます
	label3.text = ""

func _on_ButtonEnter_pressed() -> void:
	# 正解判定
	if label.text == "0214":
		label3.text = "正解！"
	else:
		label3.text = "不正解"
